mscorlib 2.0.0.0 4.0.0.0 System.Reflection.TypeInfo System.Runtime.InteropServices.ComVisible(true)

You can get an array of objects by using the method to add type parameters to a dynamic type, thus making it a generic type, or by using the method to add type parameters to a dynamic method. Use the objects to add constraints to the type parameters. Constraints are of three kinds:

The base type constraint specifies that any type assigned to the generic type parameter must derive from a particular base type. Set this constraint by using the method.

An interface constraint specifies that any type assigned to the generic type parameter must implement a particular interface. Set the interface constraints by using the method.

Special constraints specify that any type assigned to the generic type parameter must have a default constructor, must be a reference type, or must be a value type. Set the special constraints for a type parameter by using the method.

Interface constraints and special constraints cannot be retrieved using methods of the class. Once you have created the generic type that contains the type parameters, you can use its object to reflect the constraints. Use the method to get the type parameters, and for each type parameter use the method to get the base type constraint and interface constraints, and the property to get the special constraints.

Defines and creates generic type parameters for dynamically defined generic types and methods. This class cannot be inherited.

- Property
  2.0.0.0
  4.0.0.0
  System.Reflection.Assembly To be added. To be added.

  Gets an object representing the dynamic assembly that contains the generic type definition the current type parameter belongs to.

- Property
  2.0.0.0
  4.0.0.0
  System.String To be added.

  There is no assembly-qualified name for type parameters because their scope is limited to the generic type that declares them.

  Gets null in all cases.

- Property
  2.0.0.0
  4.0.0.0
  System.Type To be added.

  To set the base type constraint, use the method.

  Gets the base type constraint of the current generic type parameter.

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  A object always represents a generic type parameter. The value of the property reflects that fact and does not imply anything about any generic type argument that might be assigned to the type parameter.

  Gets true in all cases.

- Property
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodBase To be added.

  If the property is not null, then the declaring method is a generic method definition and DeclaringMethod.IsGenericMethodDefinition is true.

  Gets a that represents the declaring method, if the current represents a type parameter of a generic method.

- Property
  2.0.0.0
  4.0.0.0
  System.Type To be added.

  The declaring type is not necessarily a generic type. If the current type parameter belongs to a generic method, the type in which the method is declared might not be generic.

  Gets the generic type definition or generic method definition to which the generic type parameter belongs.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Tests whether the given object is an instance of EventToken and is equal to the current instance.

  Returns true if is an instance of EventToken and equals the current instance; otherwise, false.

  The object to be compared with the current instance.
- Property
  2.0.0.0
  4.0.0.0
  System.String To be added.

  A generic type parameter does not have a full name, because its scope is limited to the generic type that declares it.

  Gets null in all cases.

- Property
  2.0.0.0
  4.0.0.0
  System.Reflection.GenericParameterAttributes To be added. To be added. To be added.
- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets the position of the type parameter in the type parameter list of the generic type or method that declared the parameter.

- Method
  2.0.0.0
  4.0.0.0
  System.Reflection.TypeAttributes To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Reflection.ConstructorInfo `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
  System.Reflection.ConstructorInfo[] ``

  This method is not supported for incomplete generic type parameters. Retrieve the type parameter from the completed generic type definition and then use reflection on the retrieved type.

  Not supported for incomplete generic type parameters.

  Not supported for incomplete generic type parameters.

  Not supported.
- Method
  2.0.0.0
  4.0.0.0
  System.Object[] ``

  This method is not supported for incomplete generic type parameters. Retrieve the type parameter from the completed generic type definition and then use reflection on the retrieved type.

  Not supported for incomplete generic type parameters.

  Not supported for incomplete generic type parameters.

  Specifies whether to search this member's inheritance chain to find the attributes.
- Method
  2.0.0.0
  4.0.0.0
  System.Object[] `` ``

  This method is not supported for incomplete generic type parameters. Retrieve the type parameter from the completed generic type definition and then use reflection on the retrieved type.

  Not supported for incomplete generic type parameters.

  Not supported for incomplete generic type parameters.

  The type of attribute to search for. Only attributes that are assignable to this type are returned. Specifies whether to search this member's inheritance chain to find the attributes.
- Method
  2.0.0.0
  4.0.0.0
  System.Type

  A generic type parameter is a placeholder for a type. Because that type cannot be known in advance, there is no way to know whether it has an element type or what that element type might be. Any return value would be misleading, so the method throws a .

  Throws a in all cases.

  The type referred to by the current array type, pointer type, or ByRef type; or null if the current type is not an array type, is not a pointer type, and is not passed by reference.

- Method
  2.0.0.0
  4.0.0.0
  System.Reflection.EventInfo `` ``

  This method is not supported for incomplete generic type parameters. Retrieve the type parameter from the completed generic type definition and then use reflection on the retrieved type.

  Not supported for incomplete generic type parameters.

  Not supported for incomplete generic type parameters.

  Not supported. Not supported.
- Method
  2.0.0.0
  4.0.0.0
  System.Reflection.EventInfo[]

  This method is not supported for incomplete generic type parameters. Retrieve the type parameter from the completed generic type definition and then use reflection on the retrieved type.

  Not supported for incomplete generic type parameters.

  Not supported for incomplete generic type parameters.

- Method
  2.0.0.0
  4.0.0.0
  System.Reflection.EventInfo[] ``

  This method is not supported for incomplete generic type parameters. Retrieve the type parameter from the completed generic type definition and then use reflection on the retrieved type.

  Not supported for incomplete generic type parameters.

  Not supported for incomplete generic type parameters.

  Not supported.
- Method
  2.0.0.0
  4.0.0.0
  System.Reflection.FieldInfo `` ``

  This method is not supported for incomplete generic type parameters. Retrieve the type parameter from the completed generic type definition and then use reflection on the retrieved type.

  Not supported for incomplete generic type parameters.

  Not supported for incomplete generic type parameters.

  Not supported. Not supported.
- Method
  2.0.0.0
  4.0.0.0
  System.Reflection.FieldInfo[] ``

  This method is not supported for incomplete generic type parameters. Retrieve the type parameter from the completed generic type definition and then use reflection on the retrieved type.

  Not supported for incomplete generic type parameters.

  Not supported for incomplete generic type parameters.

  Not supported.
- Method
  2.0.0.0
  4.0.0.0
  System.Type[]

  In a constructed type, the type that is assigned to a generic type parameter can be a generic type, but the type parameter itself is not generic.

  Not valid for generic type parameters.

  Not valid for generic type parameters.

- Method
  2.0.0.0
  4.0.0.0
  System.Type[] To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Type

  In a constructed type, the type that is assigned to a generic type parameter can be a generic type, but the type parameter itself is not generic.

  Not valid for generic type parameters.

  Not valid for generic type parameters.

- Method
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Returns a 32-bit integer hash code for the current instance.

  A 32-bit integer hash code.

- Method
  2.0.0.0
  4.0.0.0
  System.Type `` ``

  This method is not supported for incomplete generic type parameters. Retrieve the type parameter from the completed generic type definition and then use reflection on the retrieved type.

  Not supported for incomplete generic type parameters.

  Not supported for incomplete generic type parameters.

  The name of the interface. true to search without regard for case; false to make a case-sensitive search.
- Method
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
  System.Reflection.InterfaceMapping ``

  This method is not supported for incomplete generic type parameters. Retrieve the type parameter from the completed generic type definition and then use reflection on the retrieved type.

  Not supported for incomplete generic type parameters.

  Not supported for incomplete generic type parameters.

  A object that represents the interface type for which the mapping is to be retrieved.
- Method
  2.0.0.0
  4.0.0.0
  System.Type[]

  This method is not supported for incomplete generic type parameters. Retrieve the type parameter from the completed generic type definition and then use reflection on the retrieved type.

  Not supported for incomplete generic type parameters.

  Not supported for incomplete generic type parameters.

- Method
  2.0.0.0
  4.0.0.0
  System.Reflection.MemberInfo[] `` `` ``

  This method is not supported for incomplete generic type parameters. Retrieve the type parameter from the completed generic type definition and then use reflection on the retrieved type.

  Not supported for incomplete generic type parameters.

  Not supported for incomplete generic type parameters.

  Not supported. Not supported. Not supported.
- Method
  2.0.0.0
  4.0.0.0
  System.Reflection.MemberInfo[] ``

  This method is not supported for incomplete generic type parameters. Retrieve the type parameter from the completed generic type definition and then use reflection on the retrieved type.

  Not supported for incomplete generic type parameters.

  Not supported for incomplete generic type parameters.

  Not supported.
- Method
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo[] ``

  This method is not supported for incomplete generic type parameters. Retrieve the type parameter from the completed generic type definition and then use reflection on the retrieved type.

  Not supported for incomplete generic type parameters.

  Not supported for incomplete generic type parameters.

  Not supported.
- Method
  2.0.0.0
  4.0.0.0
  System.Type `` ``

  This method is not supported for incomplete generic type parameters. Retrieve the type parameter from the completed generic type definition and then use reflection on the retrieved type.

  Not supported for incomplete generic type parameters.

  Not supported for incomplete generic type parameters.

  Not supported. Not supported.
- Method
  2.0.0.0
  4.0.0.0
  System.Type[] ``

  This method is not supported for incomplete generic type parameters. Retrieve the type parameter from the completed generic type definition and then use reflection on the retrieved type.

  Not supported for incomplete generic type parameters.

  Not supported for incomplete generic type parameters.

  Not supported.
- Method
  2.0.0.0
  4.0.0.0
  System.Reflection.PropertyInfo[] ``

  This method is not supported for incomplete generic type parameters. Retrieve the type parameter from the completed generic type definition and then use reflection on the retrieved type.

  Not supported for incomplete generic type parameters.

  Not supported for incomplete generic type parameters.

  Not supported.
- Method
  2.0.0.0
  4.0.0.0
  System.Reflection.PropertyInfo `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Property
  2.0.0.0
  4.0.0.0
  System.Guid To be added.

  This property is not supported for incomplete generic type parameters. Retrieve the type parameter from the completed generic type definition and then use reflection on the retrieved type.

  Not supported for incomplete generic type parameters.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Object `` `` `` `` `` `` `` ``

  This method is not supported for incomplete generic type parameters. Retrieve the type parameter from the completed generic type definition and then use reflection on the retrieved type.

  Not supported for incomplete generic type parameters.

  Not supported for incomplete generic type parameters.

  Not supported. Not supported. Not supported. Not supported. Not supported. Not supported. Not supported. Not supported.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  This method is not supported for incomplete generic type parameters. Retrieve the type parameter from the completed generic type definition and then use reflection on the retrieved type.

  Throws a exception in all cases.

  Throws a exception in all cases.

  The object to test.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  This method is not supported for incomplete generic type parameters. Retrieve the type parameter from the completed generic type definition and then use reflection on the retrieved type.

  Not supported for incomplete generic type parameters.

  Not supported for incomplete generic type parameters.

  Not supported. Not supported.
- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets true in all cases.

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  In a constructed type, the type that is assigned to a generic type parameter can be a generic type, but the type parameter itself is not generic.

  Returns false in all cases.

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  In a constructed type, the type that is assigned to a generic type parameter can be a generic type, but the type parameter itself is not generic.

  Gets false in all cases.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
  System.Boolean ``

  This method is not supported for incomplete generic type parameters. Retrieve the type parameter from the completed generic type definition and then use reflection on the retrieved type.

  Not supported for incomplete generic type parameters.

  Not supported for incomplete generic type parameters.

  Not supported.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Type

  The method provides a way to generate array types for parameter lists.

  Returns the type of a one-dimensional array whose element type is the generic type parameter.

  A object that represents the type of a one-dimensional array whose element type is the generic type parameter.

- Method
  2.0.0.0
  4.0.0.0
  System.Type ``

  The method provides a way to generate array types for parameter lists.

  Returns the type of an array whose element type is the generic type parameter, with the specified number of dimensions.

  A object that represents the type of an array whose element type is the generic type parameter, with the specified number of dimensions.

  The number of dimensions for the array.
- Method
  2.0.0.0
  4.0.0.0
  System.Type

  The method provides a way to generate ref types (ByRef in Visual Basic) for parameter lists.

  Returns a object that represents the current generic type parameter when passed as a reference parameter.

  A object that represents the current generic type parameter when passed as a reference parameter.

- Method
  2.0.0.0
  4.0.0.0
  System.Type `System.ParamArray` To be added.

  Not valid for incomplete generic type parameters.

  This method is invalid for incomplete generic type parameters.

  An array of type arguments.
- Method
  2.0.0.0
  4.0.0.0
  System.Type

  The method provides a way to generate pointer types for parameter lists.

  Returns a object that represents a pointer to the current generic type parameter.

  A object that represents a pointer to the current generic type parameter.

- Property
  2.0.0.0
  4.0.0.0
  System.Reflection.Module To be added. To be added.

  Gets the dynamic module that contains the generic type parameter.

- Property
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets the name of the generic type parameter.

- Property
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets null in all cases.

- Property
  2.0.0.0
  4.0.0.0
  System.Type To be added. To be added.

  Gets the object that was used to obtain the .

- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  To retrieve the base type constraint use the property.

  Once you have created the generic type that contains the type parameter, you can use its object to reflect the type parameter and their constraints. To get the type parameters of a completed generic type, use the method. For each type parameter, get the base type constraint and interface constraints by using the method, and get the special constraints by using the property.

  Sets the base type that a type must inherit in order to be substituted for the type parameter.

  The that must be inherited by any type that is to be substituted for the type parameter.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Set a custom attribute using a custom attribute builder.

  An instance of a helper class that defines the custom attribute.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  For details on how to format , see the documentation for Partition II: Metadata Definition and Semantics. The documentation is available online; see ECMA C# and Common Language Infrastructure Standards on MSDN and Standard ECMA-335 - Common Language Infrastructure (CLI) on the Ecma International Web site.

  Sets a custom attribute using a specified custom attribute blob.

  The constructor for the custom attribute. A byte blob representing the attribute.
- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  Special constraints can specify that any type assigned to the generic type parameter must have a default constructor, must be a reference type, or must be a value type.

  Special constraints cannot be retrieved using methods of the class. Once you have created the generic type that contains the type parameter, you can use its object to reflect the type parameters and their constraints. To get the type parameters of a completed generic type, use the method. To get the special constraints for each type parameter, use the property.

  The enumeration values that refer to the variance characteristics of a type parameter are relevant only in languages that support covariance and contravariance, such as Microsoft intermediate language (MSIL). Visual Basic and C# currently do not support covariance and contravariance.

  Sets the variance characteristics and special constraints of the generic parameter, such as the parameterless constructor constraint.

  A bitwise combination of values that represent the variance characteristics and special constraints of the generic type parameter.
- Method
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
  System.Void `System.ParamArray`

  Interface constraints cannot be retrieved using methods of the class. Once you have created the generic type that contains the type parameter, you can use its object to reflect the type parameters and their constraints. To get the type parameters of a completed generic type, use the method. For each type parameter, get the base type constraint and interface constraints by using the method.

  Sets the interfaces a type must implement in order to be substituted for the type parameter.

  An array of objects that represent the interfaces a type must implement in order to be substituted for the type parameter.
- Method
  2.0.0.0
  4.0.0.0
  System.String To be added.

  Returns a string representation of the current generic type parameter.

  A string that contains the name of the generic type parameter.

- Property
  2.0.0.0
  4.0.0.0
  System.RuntimeTypeHandle To be added.

  This property is not supported for incomplete generic type parameters. Retrieve the type parameter from the completed generic type definition and then use reflection on the retrieved type.

  Not supported for incomplete generic type parameters.

- Property
  2.0.0.0
  4.0.0.0
  System.Type To be added. To be added.

  Gets the current generic type parameter.